Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005506OCamlOCaml documentationpublic2012-02-15 13:372012-09-20 18:17
Reporterkosik 
Assigned Tomeyer 
PrioritylowSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target Version4.00.1+devFixed in Version 
Summary0005506: missing '#' characters
DescriptionIn the reference manual
http://caml.inria.fr/pub/docs/manual-ocaml/manual003.html#toc11 [^]

For consistency,

    #load "camlp4o.cma";;

should also be prefixed with a black hash-character to indicate that in addition to # prompt, the user must type # also himself (like it is in the #load "dynlink.cma";; case)
-------------------------------------------------------------------------------
Similarly, this line:

  let lexer = make_lexer ["("; ")"; "+"; "-"; "*"; "/"];;

should in the text (showing toplevel-interaction) be prefixed with '#', just like:

  #let token_stream = lexer(Stream.of_string "1.0 +x");;
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006942)
meyer (developer)
2012-02-19 18:56

The issue comes from the way how manual is generated right now. Everything inside "caml_example" LaTeX environment will be evaulated by the toplevel. The leading # will be prepended to text initially, and everything else comes as it is. However - if the toplevel outputs any response, the # will appear again in the begining of next chunk of code. I believe it's a bug (or incosistency) in the manual generator.
(0008132)
doligez (administrator)
2012-09-20 18:17

Both are fixed in 4.00.0.

- Issue History
Date Modified Username Field Change
2012-02-15 13:37 kosik New Issue
2012-02-19 18:42 meyer Assigned To => meyer
2012-02-19 18:42 meyer Status new => assigned
2012-02-19 18:56 meyer Note Added: 0006942
2012-09-06 16:44 doligez Target Version => 4.00.1+dev
2012-09-20 18:17 doligez Note Added: 0008132
2012-09-20 18:17 doligez Status assigned => closed
2012-09-20 18:17 doligez Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker